Name:    sailcut
Version: 1.3.5
Release: 2%{?dist}
Summary: A sail design and plotting software
License: GPLv2
URL:     http://www.sailcut.com/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: sailcut.desktop
Source2: sailcut.xml
# Patch from upstream to add -lGL to linker flags
Patch0:  sailcut-1.3.5_cmake.patch
# Fix fsf address, reported upstream as issue #20
Patch1:  sailcut-1.3.5_fsfaddr.patch

BuildRequires: cmake
BuildRequires: qt-devel
BuildRequires: desktop-file-utils
BuildRequires: shared-mime-info


%description
Sailcut CAD is a sail design and plotting software.
It allows you to design and visualize your own sail and compute the accurate
development of all panels in flat sheets.


%prep
%setup -q
%patch0 -p0
%patch1 -p1


%build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo .
make %{?_smp_mflags}


%install
%make_install
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_datadir}/mime/packages/%{name}.xml
install -p -D -m 644 icons/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
install -p -D -m 644 icons/%{name}-file.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-%{name}.svg
%{_bindir}/desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%find_lang %{name} --with-qt


%post
%{_bindir}/update-desktop-database &> /dev/null || :
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi


%postun
%{_bindir}/update-desktop-database &> /dev/null || :
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi


%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-%{name}.svg


%changelog
* Tue May 07 2013 Sandro Mani <manisandro@gmail.com> - 1.3.5-2
- Add patch to fix FSF addresses
- Fix spelling

* Tue May 07 2013 Sandro Mani <manisandro@gmail.com> - 1.3.5-1
- Initial package
